import swingwt.awt.*;
import swingwt.awt.event.*;
import swingwtx.swing.*;


/** Displays "Hello, world!" using SwingWT.
 * This demonstration is in the public domain.
 * @author Shaun Jackman <sjackman@debian.org>
 */
public class HelloSwingWT extends JFrame {


/** Displays "Hello, world!" */
public
HelloSwingWT()
{
	// Create the form
	super( "Hello");
	addWindowListener( new WindowAdapter() {
			public void windowClosing( WindowEvent e) {
			System.exit( 0); }});

	// Create the widgets
	JLabel hello = new JLabel( "Hello, world!");
	getContentPane().add( hello, BorderLayout.NORTH);
	JButton ok = new JButton( "Ok");
	getContentPane().add( ok, BorderLayout.SOUTH);
	ok.addActionListener( new ActionListener() {
			public void actionPerformed( ActionEvent e) { 
			System.exit( 0); }});

	// Display the form
	setSize( 150, 100);
	setVisible( true);
}


/** Entry point. */
public static void
main( String[] arguments)
{
	new HelloSwingWT();
}


}
